#ifndef SFILTERALGORITHM
#define SFILTERALGORITHM
#include <QVector>
#include "../common.h"
class QString;
class QStringList;
class SFilterAlgorithm
{
private:
    QVector <SKeyword> m_vecKeyword;
public:
    void FilterSearch(QVector<QStringList> *m_data, bool *m_bDataFlag, QString _strJson);
    void FilterCounter(QVector<QStringList> *m_data, bool *m_bDataFlag, QString _strJson);
    void FilterReplace(QVector<QStringList> *m_data, bool *m_bDataFlag, QString _strJson);
    void FilterDate(QVector<QStringList> *m_data, bool *m_bDataFlag, QString _strJson, int _nDateColumn);
    void FilterLength(QVector<QStringList> *m_data, bool *m_bDataFlag, QString _strJson);

};



#endif // SFILTERALGORITHM

